/* 
 
                  COPYRIGHT NOTICE
 
This material was developed by Christos Faloutsos and King-Ip Lin
at the University of Maryland, College Park, Department of Computer Science.
Permission is granted to copy this software, to redistribute it
on a nonprofit basis, and to use it for any purpose, subject to
the following restrictions and understandings.
 
1. Any copy made of this software must include this copyright notice
in full.
 
2. All materials developed as a consequence of the use of this
software shall duly acknowledge such use, in accordance with the usual
standards of acknowledging credit in academic research.
 
3. The authors have made no warranty or representation that the
operation of this software will be error-free or suitable for any
application, and they are under under no obligation to provide any
services, by way of maintenance, update, or otherwise.  The software
is an experimental prototype offered on an as-is basis.
 
4. Redistribution for profit requires the express, written permission
of the authors.
 
*/

// Author : $Author$
// Date : $Date$
// Id : $Id$
class SplitCond {

public:
   
  SplitCond();
  SplitCond(const TVRectangle& lower, const TVRectangle& upper, int ind);
  SplitCond(const SplitCond& sc);
  SplitCond& operator=(const SplitCond& sc);
  int 	operator>=(const SplitCond& sc) const;
  int 	operator>(const SplitCond& sc) const;
  int IsEmpty() const;

  float radius;  
  float diff;
  int dim;
  int index;
  int nointersectdim;
};


