/* 
 
                  COPYRIGHT NOTICE
 
This material was developed by Christos Faloutsos and King-Ip Lin
at the University of Maryland, College Park, Department of Computer Science.
Permission is granted to copy this software, to redistribute it
on a nonprofit basis, and to use it for any purpose, subject to
the following restrictions and understandings.
 
1. Any copy made of this software must include this copyright notice
in full.
 
2. All materials developed as a consequence of the use of this
software shall duly acknowledge such use, in accordance with the usual
standards of acknowledging credit in academic research.
 
3. The authors have made no warranty or representation that the
operation of this software will be error-free or suitable for any
application, and they are under under no obligation to provide any
services, by way of maintenance, update, or otherwise.  The software
is an experimental prototype offered on an as-is basis.
 
4. Redistribution for profit requires the express, written permission
of the authors.
 
*/

// Author : $Author$
// Date : $Date$
// Id : $Id$
// $Id: constants.h,v 1.2 1996/04/18 21:50:24 kilin Exp kilin $ 
/* constants.h */
/* $Revision: 1.2 $ */
/* $Date: 1996/04/18 21:50:24 $ */

#define SIG_DIM            2
#define DEFAULT_PAGESIZE   1024 
#define BUFFER_SIZE        8192 
#define MIN_FILL_PERCENT   40
#define REINSERT_PERCENT   30
#define MAX_BRANCH_FACTOR  DEFAULT_PAGESIZE/sizeof(TVBranch)
#define MAX_BRANCH_FACTOR_PLUS MAX_BRANCH_FACTOR + 1
#define MAX_ELEMENT_FACTOR  DEFAULT_PAGESIZE/sizeof(Leaf_Element)
#define CONSERVE_MAX_BRANCH_FACTOR  60
#define CONSERVE_MAX_ELEMENT_FACTOR  17
#define STRLEN 25
#define FIX_SIZE  0
#define DEFAULT_NONKEYSIZE 25
#define DEFAULT_PICKBRANCH_COMPARE_COUNT 6

#define PHASES  3


/* no. of significent dimension left if refolding is need */
#define MAX_UNFOLD_DIM    1  
#define MIN_UNFOLD_DIM    1  

