/* 
 
                  COPYRIGHT NOTICE
 
This material was developed by Christos Faloutsos and King-Ip Lin
at the University of Maryland, College Park, Department of Computer Science.
Permission is granted to copy this software, to redistribute it
on a nonprofit basis, and to use it for any purpose, subject to
the following restrictions and understandings.
 
1. Any copy made of this software must include this copyright notice
in full.
 
2. All materials developed as a consequence of the use of this
software shall duly acknowledge such use, in accordance with the usual
standards of acknowledging credit in academic research.
 
3. The authors have made no warranty or representation that the
operation of this software will be error-free or suitable for any
application, and they are under under no obligation to provide any
services, by way of maintenance, update, or otherwise.  The software
is an experimental prototype offered on an as-is basis.
 
4. Redistribution for profit requires the express, written permission
of the authors.
 
*/

// Author : $Author$
// Date : $Date$
// Id : $Id$
// $Id: util.h,v 1.3 1996/02/27 23:08:38 kilin Exp $ 
extern int sgn(float d1);

extern int hadamard(int n, int row, int column);

extern int hadamard_minsize(int minsize, int row, int column);

extern int hvalue(int x, int  y, int n);

extern int equal(float x, float y);

extern int equal(double x, double y);

int intersect(float alow, float ahigh, float blow, float bhigh);

